> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poyo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Flux.2

> FLUX.2 API 用于生成或编辑图像。Pro 模型面向高保真的生产级输出，Flex 模型可在速度与质量之间权衡。编辑最多支持 8 张参考图，输出最高 2K。

> [!TIP]
>
> 1. 提交后会返回 `task_id`。如果提供了 `callback_url`，当任务状态变为 `finished` 或 `failed` 时，系统会向 `callback_url` 发送 POST 请求。
> 2. 无论是否提供 `callback_url`，都可以通过统一的[查询任务状态](https://docs.poyo.ai/zh/api-manual/task-management/status.md)接口获取结果。

FLUX.2 是 Black Forest Labs 推出的 320 亿参数图像生成与编辑模型。它在单一架构中集成了文生图和多图编辑，可生成最高 2K 分辨率、文字排版清晰的写实图像。支持同时参考最多 8 张图像，在角色、产品和风格上保持出色的一致性。

## 模型

* **flux-2-pro** - 面向生产部署的高保真文生图
* **flux-2-pro-edit** - 高级多参考图编辑，最多支持 8 张输入图像
* **flux-2-flex** - 可调节速度与质量的平衡，适合灵活的工作流
* **flux-2-flex-edit** - 支持多参考图的灵活图像编辑


## OpenAPI

````yaml zh/api-manual/image-series/flux-2.json POST /api/generate/submit
openapi: 3.0.0
info:
  title: PoYo AI - Flux 2 API
  description: >-
    FLUX.2 API 用于生成或编辑图像。Pro 模型面向高保真的生产级输出，Flex 模型可在速度与质量之间权衡。编辑最多接受 8
    张参考图像，输出最高 2K。
  version: 1.0.0
servers:
  - url: https://api.poyo.ai
    description: 生产环境
security:
  - BearerAuth: []
paths:
  /api/generate/submit:
    post:
      tags:
        - Flux 2
      summary: 提交 Flux 2 生成任务
      description: Black Forest Labs 推出的 32B 参数图像生成与编辑模型。结合文生图与多图编辑，具有出色的文字渲染能力并支持多参考图
      operationId: submitFlux2Task
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitRequest'
            examples:
              flux-2-pro:
                summary: Flux 2 Pro 图像生成
                value:
                  model: flux-2-pro
                  callback_url: https://your-domain.com/callback
                  input:
                    prompt: >-
                      The jar in image 1 is filled with capsules exactly same as
                      image 2 with the exact logo
                    size: '1:1'
                    resolution: 1K
              flux-2-pro-edit:
                summary: Flux 2 Pro 图像编辑
                value:
                  model: flux-2-pro-edit
                  callback_url: https://your-domain.com/callback
                  input:
                    prompt: Add colorful flowers in the foreground
                    image_urls:
                      - https://example.com/1.jpg
                      - https://example.com/2.jpg
                    size: '1:1'
                    resolution: 1K
              flux-2-flex:
                summary: Flux 2 Flex 图像生成
                value:
                  model: flux-2-flex
                  callback_url: https://your-domain.com/callback
                  input:
                    prompt: >-
                      The jar in image 1 is filled with capsules exactly same as
                      image 2 with the exact logo
                    size: '1:1'
                    resolution: 1K
              flux-2-flex-edit:
                summary: Flux 2 Flex 图像编辑
                value:
                  model: flux-2-flex-edit
                  callback_url: https://your-domain.com/callback
                  input:
                    prompt: Add colorful flowers in the foreground
                    image_urls:
                      - https://example.com/1.jpg
                      - https://example.com/2.jpg
                    size: '1:1'
                    resolution: 1K
      responses:
        '200':
          description: 任务提交成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitResponse'
        '400':
          description: 请求参数无效
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: 未授权：API Key 无效
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    SubmitRequest:
      type: object
      required:
        - model
        - input
      properties:
        model:
          type: string
          description: Flux 2 模型标识
          enum:
            - flux-2-pro
            - flux-2-pro-edit
            - flux-2-flex
            - flux-2-flex-edit
        callback_url:
          type: string
          format: uri
          description: 接收结果通知的 Webhook 回调 URL
          example: https://your-domain.com/callback
        input:
          type: object
          required:
            - prompt
            - size
            - resolution
          description: 生成参数
          properties:
            prompt:
              type: string
              description: 描述期望输出的生成提示词。长度须在 3 到 5,000 个字符之间。
              minLength: 3
              maxLength: 5000
              example: A beautiful sunset over the ocean
            image_urls:
              type: array
              items:
                type: string
                format: uri
              minItems: 1
              maxItems: 8
              description: 输入参考图像（1-8 张）。编辑模型（flux-2-pro-edit、flux-2-flex-edit）必填
              example:
                - https://example.com/1.jpg
                - https://example.com/2.jpg
            size:
              type: string
              description: 图像尺寸比例。使用 'auto' 可根据第一张输入图像自动识别
              enum:
                - '1:1'
                - '4:3'
                - '3:4'
                - '16:9'
                - '9:16'
                - '3:2'
                - '2:3'
                - auto
              example: '1:1'
            resolution:
              type: string
              description: 输出图像分辨率
              enum:
                - 1K
                - 2K
              example: 1K
    SubmitResponse:
      type: object
      required:
        - code
        - data
      properties:
        code:
          type: integer
          example: 200
          description: >-
            业务状态码。`200` 表示成功，其他值都表示请求失败。请务必检查这个字段：部分参数校验错误会以 HTTP 200 返回，响应体里的
            `code` 为 `400`。


            - `200`：成功

            - `400`：请求参数无效

            - `401`：API Key 缺失或无效

            - `402`：积分不足

            - `403`：没有权限

            - `404`：资源不存在

            - `408`：请求超时

            - `429`：请求频率超限

            - `500`：服务器内部错误

            - `502`：上游服务错误

            - `503`：服务暂不可用


            详见[错误码](/zh/api-manual/error-codes)。
          enum:
            - 200
            - 400
            - 401
            - 402
            - 403
            - 404
            - 408
            - 429
            - 500
            - 502
            - 503
        data:
          type: object
          required:
            - task_id
            - status
            - created_time
          properties:
            task_id:
              type: string
              example: task-unified-1757165031-uyujaw3d
              description: 任务唯一标识，用于查询任务状态
            status:
              type: string
              enum:
                - not_started
                - running
                - finished
                - failed
              example: not_started
              description: >-
                任务状态。提交后立即返回时始终为
                `not_started`。后续状态请通过[查询任务状态](/zh/api-manual/task-management/status)接口或
                `callback_url` 获取。


                - `not_started`：排队中，等待处理

                - `running`：生成中

                - `finished`：已完成，结果在 `files` 或 `output` 中

                - `failed`：失败，详情见 `error_message`
            created_time:
              type: string
              format: date-time
              example: '2025-11-12T10:30:00'
              description: 任务创建时间，ISO 8601 格式
    ErrorResponse:
      type: object
      required:
        - code
        - error
      properties:
        code:
          type: integer
          example: 400
          description: >-
            业务状态码。`200` 表示成功，其他值都表示请求失败。请务必检查这个字段：部分参数校验错误会以 HTTP 200 返回，响应体里的
            `code` 为 `400`。


            - `200`：成功

            - `400`：请求参数无效

            - `401`：API Key 缺失或无效

            - `402`：积分不足

            - `403`：没有权限

            - `404`：资源不存在

            - `408`：请求超时

            - `429`：请求频率超限

            - `500`：服务器内部错误

            - `502`：上游服务错误

            - `503`：服务暂不可用


            详见[错误码](/zh/api-manual/error-codes)。
          enum:
            - 200
            - 400
            - 401
            - 402
            - 403
            - 404
            - 408
            - 429
            - 500
            - 502
            - 503
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
              example: Invalid request parameters
              description: 描述错误原因的错误信息
            type:
              type: string
              example: invalid_request_error
              description: 错误类型标识
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        所有 API 接口都需要 Bearer Token 认证。


        创建 API Key：登录 PoYo，进入 **仪表盘 → API
        密钥**（[poyo.ai/zh/dashboard/api-key](https://poyo.ai/zh/dashboard/api-key)），点击创建
        Key。


        在请求头中添加：


        ```

        Authorization: Bearer YOUR_API_KEY

        ```

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.